Package org.eclipse.net4j.util.ui.views

# Klasse RowIntrospectionProvider

java.lang.Object
org.eclipse.net4j.util.ui.views.IntrospectionProvider
org.eclipse.net4j.util.ui.views.RowIntrospectionProvider

Alle implementierten Schnittstellen:
  `Comparable<IntrospectionProvider>`

public abstract class RowIntrospectionProvider extends IntrospectionProvider

Seit:
  3.16
Autor:
  Eike Stepper

## Verschachtelte Klassen - Übersicht

Verschachtelte Klassen
Modifizierer und Typ
Klasse
Beschreibung
`static final class`
`RowIntrospectionProvider.Row`

## Von Klasse geerbte verschachtelte Klassen/Schnittstellen org.eclipse.net4j.util.ui.views.IntrospectionProvider

`IntrospectionProvider.Factory, IntrospectionProvider.NameAndValue`

## Feldübersicht

Felder
Modifizierer und Typ
Feld
Beschreibung
`static final int`
`DEFAULT_CATEGORY`

### Von Klasse geerbte Felder org.eclipse.net4j.util.ui.views.IntrospectionProvider

`DEFAULT_PRIORITY`

## Konstruktorübersicht

Konstruktoren
Modifizierer
Konstruktor
Beschreibung
`protected`
`RowIntrospectionProvider(String id, String label)`

## Methodenübersicht

Modifizierer und Typ
Methode
Beschreibung
`final void`
`createColumns(TableViewer viewer)`
`protected abstract void`
`fillRows(Object parent, List<RowIntrospectionProvider.Row> rows)`
`final Color`
`getBackground(Object element)`
`final String`
`getColumnText(Object element, int index)`
`final ViewerComparator`
`getComparator()`
`abstract RowIntrospectionProvider.Row`
`getElementByName(Object parent, String name)`
`final RowIntrospectionProvider.Row[]`
`getElements(Object parent)`
`final Color`
`getForeground(Object element)`
`final RowIntrospectionProvider.Row`
`getNameAndValue(Object element)`

### Von Klasse geerbte Methoden org.eclipse.net4j.util.ui.views.IntrospectionProvider

`attachListener, canHandle, compareTo, createColumn, createViewer, detachListener, formatValue, getClassName, getColumnImage, getId, getLabel, getName, getPriority, open, toString`

### Von Klasse geerbte Methoden java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Felddetails

### DEFAULT_CATEGORY

public static final int DEFAULT_CATEGORY

Siehe auch:
  - Konstantenfeldwerte

## Konstruktordetails

### RowIntrospectionProvider

protected RowIntrospectionProvider(String id, String label)

## Methodendetails

### createColumns

public final void createColumns(TableViewer viewer)

Angegeben von:
  `createColumns` in Klasse `IntrospectionProvider`

### getElements

public final RowIntrospectionProvider.Row[] getElements(Object parent) throws Exception

Angegeben von:
  `getElements` in Klasse `IntrospectionProvider`
Löst aus:
  `Exception`

### fillRows

protected abstract void fillRows(Object parent, List<RowIntrospectionProvider.Row> rows) throws Exception

Löst aus:
  `Exception`

### getElementByName

public abstract RowIntrospectionProvider.Row getElementByName(Object parent, String name) throws Exception

Angegeben von:
  `getElementByName` in Klasse `IntrospectionProvider`
Löst aus:
  `Exception`

### getNameAndValue

public final RowIntrospectionProvider.Row getNameAndValue(Object element) throws Exception

Angegeben von:
  `getNameAndValue` in Klasse `IntrospectionProvider`
Löst aus:
  `Exception`

### getColumnText

public final String getColumnText(Object element, int index) throws Exception

Angegeben von:
  `getColumnText` in Klasse `IntrospectionProvider`
Löst aus:
  `Exception`

### getForeground

public final Color getForeground(Object element)

Setzt außer Kraft:
  `getForeground` in Klasse `IntrospectionProvider`

### getBackground

public final Color getBackground(Object element)

Setzt außer Kraft:
  `getBackground` in Klasse `IntrospectionProvider`

### getComparator

public final ViewerComparator getComparator()

Setzt außer Kraft:
  `getComparator` in Klasse `IntrospectionProvider`